%global momorel 3

Name:           perl-File-chdir
Version:        0.1002
Release: %{momorel}m%{?dist}
Summary:        More sensible way to change directories
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/File-chdir/
Source0:	http://www.cpan.org/modules/by-module/File/File-chdir-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Perl's chdir() has the unfortunate problem of being very, very, very
global. If any part of your program calls chdir() or if any library you
use calls chdir(), it changes the current working directory for the
whole program.

%prep
%setup -q -n File-chdir-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*




%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/File/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1002-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.1002-2m)
- rebuild against gcc43

* Tue Feb 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1002-1m)
- update to 0.1002

* Sun Feb 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1001-1m)
- update to 0.1001

* Sun Feb 10 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.10-1m)
- update to 0.10

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.09-1m)
- update to 0.09

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08-1m)
- update to 0.08

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.06-2m)
- use vendor

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
